Bug 516254 - auto-update-debug-info plugin prevents --enablerepo on the command line from working
auto-update-debug-info plugin prevents --enablerepo on the command line from ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-07 13:05 EDT by Russell Harrison
Modified: 2014-01-21 18:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-09 17:41:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Harrison 2009-08-07 13:05:22 EDT
Description of problem:
I'm unable to enable any disabled repos using the --enablerepo switch with the auto-update-debuginfo plugin enabled.  It seems to only enable the debug repo for the argument passed to --enablerepo instead of the repo itself.  Disabling the plugin resolves the issue.

Version-Release number of selected component (if applicable):

yum-plugin-auto-update-debug-info-1.1.22-1.fc11.noarch
yum-3.2.23-3.fc11.noarch

How reproducible:

Always

Steps to Reproduce:
1. install the yum-plugin-auto-update-debug-info package
2. Attempt to install something from updates-testing
3. package not found
  
Actual results:
$ sudo yum --enablerepo=updates-testing update qgis
Loaded plugins: auto-update-debuginfo, downloadonly, fastestmirror, presto,
              : refresh-packagekit, security, verify
...
Enabling updates-testing-debuginfo: Fedora 11 - i386 - Test Updates Debug
Checking for new repos for mirrors
 * updates-testing-debuginfo: fedora.mirrors.tds.net
Reading repository metadata in from local files
Skipping security plugin, no data
...
Setting up Update Process
Error: No Package Matching qgis

Expected results:
$ sudo yum --enablerepo=updates-testing update qgis
Loaded plugins: downloadonly, fastestmirror, presto, refresh-packagekit,
              : security, verify
...
updates-testing/metalink                                 |  13 kB     00:00     
...
updates-testing                                          | 4.4 kB     00:00     
updates-testing/primary_db                               | 748 kB     00:01     
Skipping security plugin, no data
...
packages found and added to the update transaction.

Additional info:
Comment 1 James Antill 2009-08-10 10:49:41 EDT
 This was already reported (can't find the BZ, sorry), and is fixed upstream ... it was kind of complicated though.
 So you can either get the yum from rawhide, or wait for 3.2.24 to hit F10 (assuming it does).
Comment 2 James Antill 2009-08-10 10:52:02 EDT
 And now, after 10+ minutes of searching before doing the comment, I find it almost instantly. Change was to yum-utils:

http://yum.baseurl.org/gitweb?p=yum-utils.git;a=commitdiff;h=9379eb92a768b3d15d78d412f49e5a3fa611f979

...so not complicated (I was thinking of other, related bugs).
Comment 3 seth vidal 2009-10-09 17:41:59 EDT
3.2.24 is in f11 - where this appears to be filed against.

Note You need to log in before you can comment on or make changes to this bug.